[Midnightbsd-cvs] mports [20136] trunk/multimedia: add cuse4bsd-kmod
laffer1 at midnightbsd.org
laffer1 at midnightbsd.org
Sun Aug 30 12:23:05 EDT 2015
Revision: 20136
http://svnweb.midnightbsd.org/mports/?rev=20136
Author: laffer1
Date: 2015-08-30 12:23:04 -0400 (Sun, 30 Aug 2015)
Log Message:
-----------
add cuse4bsd-kmod
Modified Paths:
--------------
trunk/multimedia/Makefile
Added Paths:
-----------
trunk/multimedia/cuse4bsd-kmod/
trunk/multimedia/cuse4bsd-kmod/Makefile
trunk/multimedia/cuse4bsd-kmod/distinfo
trunk/multimedia/cuse4bsd-kmod/pkg-descr
trunk/multimedia/cuse4bsd-kmod/pkg-plist
trunk/multimedia/webcamd/
trunk/multimedia/webcamd/Makefile
trunk/multimedia/webcamd/distinfo
trunk/multimedia/webcamd/files/
trunk/multimedia/webcamd/files/webcamd.conf.in
trunk/multimedia/webcamd/files/webcamd.in
trunk/multimedia/webcamd/pkg-descr
trunk/multimedia/webcamd/pkg-message
trunk/multimedia/webcamd/pkg-plist
Modified: trunk/multimedia/Makefile
===================================================================
--- trunk/multimedia/Makefile 2015-08-30 16:17:22 UTC (rev 20135)
+++ trunk/multimedia/Makefile 2015-08-30 16:23:04 UTC (rev 20136)
@@ -5,6 +5,7 @@
SUBDIR += cheese
SUBDIR += clive
SUBDIR += clutter-gst
+SUBDIR += cuse4bsd-kmod
SUBDIR += dirac
SUBDIR += etoile-babbler
SUBDIR += etoile-mediakit
Added: trunk/multimedia/cuse4bsd-kmod/Makefile
===================================================================
--- trunk/multimedia/cuse4bsd-kmod/Makefile (rev 0)
+++ trunk/multimedia/cuse4bsd-kmod/Makefile 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,44 @@
+# $MidnightBSD$
+# $FreeBSD: head/multimedia/cuse4bsd-kmod/Makefile 382254 2015-03-25 17:36:47Z marino $
+
+PORTNAME= cuse4bsd-kmod
+PORTVERSION= 0.1.36
+CATEGORIES= multimedia
+MASTER_SITES= http://www.selasky.org/hans_petter/distfiles/ \
+ http://home.selasky.org:8192/distfiles/
+
+MAINTAINER= ports at MidnightBSD.org
+COMMENT= Cuse4BSD character device loopback driver for userspace
+
+LICENSE= bsd2
+
+CONFLICTS= video4bsd-kmod*
+
+KMODNAME= cuse4bsd
+LIBDIR= ${PREFIX}/lib
+INCLUDEDIR= ${PREFIX}/include
+MANDIR= ${PREFIX}/man/man
+USE_LDCONFIG= yes
+
+PLIST_SUB= KMODNAME="${KMODNAME}" \
+ LIBDIR="${LIBDIR}" \
+ INCLUDEDIR="${INCLUDEDIR}" \
+ MANDIR="${MANDIR}"
+
+OPTIONS_DEFINE= DEBUG
+
+USES= kmod tar:bzip2 uidfix
+
+.include <bsd.mport.options.mk>
+
+MAKE_ARGS+= PTHREAD_LIBS="-lpthread"
+
+.if ${PORT_OPTIONS:MDEBUG}
+MAKE_ARGS+= HAVE_DEBUG="YES"
+.endif
+
+do-install:
+ ${SETENV} ${MAKE_ENV} DESTDIR="${FAKE_DESTDIR}" ${MAKE} -C ${WRKSRC} -f ${WRKSRC}/Makefile.lib ${PLIST_SUB} install
+ ${INSTALL_KLD} ${WRKSRC}/${KMODNAME}.ko ${KMODDIR}
+
+.include <bsd.port.mk>
Property changes on: trunk/multimedia/cuse4bsd-kmod/Makefile
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/cuse4bsd-kmod/distinfo
===================================================================
--- trunk/multimedia/cuse4bsd-kmod/distinfo (rev 0)
+++ trunk/multimedia/cuse4bsd-kmod/distinfo 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,2 @@
+SHA256 (cuse4bsd-kmod-0.1.36.tar.bz2) = 50dae8b64fe00d05138062d8de0f042ede4dc204953d87dc2aab02eed5f519e0
+SIZE (cuse4bsd-kmod-0.1.36.tar.bz2) = 15932
Property changes on: trunk/multimedia/cuse4bsd-kmod/distinfo
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/cuse4bsd-kmod/pkg-descr
===================================================================
--- trunk/multimedia/cuse4bsd-kmod/pkg-descr (rev 0)
+++ trunk/multimedia/cuse4bsd-kmod/pkg-descr 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,5 @@
+Cuse4BSD is a kernel module which allows userland programs to create
+character devices under /dev. Cuse4BSD has full support for read,
+write, ioctl, mmap and poll system calls.
+
+WWW: http://www.selasky.org/hans_petter/cuse4bsd/
Property changes on: trunk/multimedia/cuse4bsd-kmod/pkg-descr
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/cuse4bsd-kmod/pkg-plist
===================================================================
--- trunk/multimedia/cuse4bsd-kmod/pkg-plist (rev 0)
+++ trunk/multimedia/cuse4bsd-kmod/pkg-plist 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,27 @@
+include/cuse4bsd.h
+lib/libcuse4bsd.a
+lib/libcuse4bsd.so
+lib/libcuse4bsd.so.1
+man/man3/cuse4bsd.3.gz
+man/man3/cuse_alloc_unit_number.3.gz
+man/man3/cuse_copy_in.3.gz
+man/man3/cuse_copy_out.3.gz
+man/man3/cuse_dev_create.3.gz
+man/man3/cuse_dev_destroy.3.gz
+man/man3/cuse_dev_get_current.3.gz
+man/man3/cuse_dev_get_per_file_handle.3.gz
+man/man3/cuse_dev_get_priv0.3.gz
+man/man3/cuse_dev_get_priv1.3.gz
+man/man3/cuse_dev_set_per_file_handle.3.gz
+man/man3/cuse_free_unit_number.3.gz
+man/man3/cuse_got_peer_signal.3.gz
+man/man3/cuse_init.3.gz
+man/man3/cuse_is_vmalloc_addr.3.gz
+man/man3/cuse_poll_wakeup.3.gz
+man/man3/cuse_set_local.3.gz
+man/man3/cuse_uninit.3.gz
+man/man3/cuse_vmalloc.3.gz
+man/man3/cuse_vmfree.3.gz
+man/man3/cuse_wait_and_process.3.gz
+ at cwd /%%KMODDIR%%/
+%%KMODNAME%%.ko
Property changes on: trunk/multimedia/cuse4bsd-kmod/pkg-plist
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/webcamd/Makefile
===================================================================
--- trunk/multimedia/webcamd/Makefile (rev 0)
+++ trunk/multimedia/webcamd/Makefile 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,115 @@
+# Created by: Andrew Thompson <thompsa at FreeBSD.org>
+# $MidnightBSD$
+# $FreeBSD: head/multimedia/webcamd/Makefile 382254 2015-03-25 17:36:47Z marino $
+
+PORTNAME= webcamd
+PORTVERSION= 3.18.0.1
+CATEGORIES= multimedia
+MASTER_SITES= http://www.selasky.org/hans_petter/distfiles/ \
+ http://home.selasky.org:8192/distfiles/
+
+MAINTAINER= ports at MidnightBSD.org
+COMMENT= Port of Linux USB webcam and DVB drivers into userspace
+
+LICENSE= gpl2
+
+BUILD_DEPENDS= v4l_compat>=1.0.20100321:${PORTSDIR}/multimedia/v4l_compat
+LIB_DEPENDS= libv4l1.so:${PORTSDIR}/multimedia/libv4l
+
+USES= pkgconfig tar:bzip2 uidfix
+USE_RC_SUBR= webcamd
+USE_LDCONFIG= yes
+
+LIBDIR= ${PREFIX}/lib
+
+OPTIONS_DEFINE= CUSE DEBUG HAL VT_CLIENT VT_SERVER DVB INPUT RADIO WEBCAM
+OPTIONS_DEFAULT=DVB HAL INPUT RADIO WEBCAM
+CUSE_DESC= Use CUSE and not CUSE4BSD (FreeBSD-11+ only)
+HAL_DESC= Build with HAL and DBUS support
+DEBUG_DESC= Build with debugging support
+VT_CLIENT_DESC= Build with vTuner client support
+VT_SERVER_DESC= Build with vTuner server support
+
+DVB_DESC= Build with USB DVB support (DVB-X, analog TV, ...)
+INPUT_DESC= Build with USB input support (tablet, joystick, HID, IR, ...)
+RADIO_DESC= Build with USB radio support
+WEBCAM_DESC= Build with USB webcam support (UVC, gspca, ...)
+
+USERS= webcamd
+GROUPS= webcamd
+
+.include <bsd.port.pre.mk>
+
+MAKE_ARGS+= HAVE_MAN="YES"
+MAKE_ARGS+= PTHREAD_LIBS="-lpthread"
+
+.if ${PORT_OPTIONS:MCUSE}
+MAKE_ARGS+= HAVE_CUSE="YES"
+LIBCUSE= /usr/lib/libcuse.so
+.else
+BUILD_DEPENDS+= cuse4bsd-kmod>=0.1.31:${PORTSDIR}/multimedia/cuse4bsd-kmod
+LIB_DEPENDS+= libcuse4bsd.so:${PORTSDIR}/multimedia/cuse4bsd-kmod
+LIBCUSE= ${LIBDIR}/libcuse4bsd.so
+.endif
+
+.if ${PORT_OPTIONS:MDVB}
+MAKE_ARGS+= HAVE_DVB_DRV="YES"
+.endif
+
+.if ${PORT_OPTIONS:MINPUT}
+MAKE_ARGS+= HAVE_INPUT_DRV="YES"
+.endif
+
+.if ${PORT_OPTIONS:MRADIO}
+MAKE_ARGS+= HAVE_RADIO_DRV="YES"
+.endif
+
+.if ${PORT_OPTIONS:MWEBCAM}
+MAKE_ARGS+= HAVE_WEBCAM_DRV="YES"
+.endif
+
+.if ${PORT_OPTIONS:MHAL}
+MAKE_ARGS+= HAVE_HAL="YES"
+LIBHAL= ${LIBDIR}/libhal.so:${LIBDIR}/libdbus-1.so:
+LIB_DEPENDS+= libhal.so:${PORTSDIR}/sysutils/hal
+LIB_DEPENDS+= libdbus-1.so:${PORTSDIR}/devel/dbus
+.else
+LIBHAL=
+.endif
+
+.if ${PORT_OPTIONS:MVT_CLIENT}
+MAKE_ARGS+= HAVE_VTUNER_CLIENT="YES"
+.endif
+
+.if ${PORT_OPTIONS:MVT_SERVER}
+MAKE_ARGS+= HAVE_VTUNER_SERVER="YES"
+.endif
+
+.if ${PORT_OPTIONS:MDEBUG}
+MAKE_ARGS+= HAVE_DEBUG="YES"
+.endif
+
+#
+# This step is optional
+#
+do-configure:
+ ${MAKE} -C${WRKSRC}/tools/linux_make
+ ${MAKE} ${MAKE_ARGS} configure -C${WRKSRC}
+
+post-patch:
+ @(cd ${WRKSRC}/patches && ${SH} ./do_patch.sh)
+
+pre-install:
+ ${SED} -i .orig \
+ -e "s|%%PREFIX%%|${PREFIX}|g" \
+ -e "s|%%LIBHAL%%|${LIBHAL}|g" \
+ -e "s|%%LIBCUSE%%|${LIBCUSE}|g" \
+ ${WRKDIR}/webcamd
+
+post-install:
+ @${MKDIR} ${PREFIX}/etc/devd
+ ${SED} -e "s|%%PREFIX%%|${PREFIX}|g" \
+ < ${FILESDIR}/webcamd.conf.in > ${WRKDIR}/webcamd.conf
+ ${INSTALL_DATA} "${WRKDIR}/webcamd.conf" ${PREFIX}/etc/devd
+
+.include <bsd.port.post.mk>
Property changes on: trunk/multimedia/webcamd/Makefile
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/webcamd/distinfo
===================================================================
--- trunk/multimedia/webcamd/distinfo (rev 0)
+++ trunk/multimedia/webcamd/distinfo 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,2 @@
+SHA256 (webcamd-3.18.0.1.tar.bz2) = 69cb0cfa2c0b71ec5ea544b35e059ac423a52746d5fcba3d4c335fc26110b69c
+SIZE (webcamd-3.18.0.1.tar.bz2) = 10462299
Property changes on: trunk/multimedia/webcamd/distinfo
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/webcamd/files/webcamd.conf.in
===================================================================
--- trunk/multimedia/webcamd/files/webcamd.conf.in (rev 0)
+++ trunk/multimedia/webcamd/files/webcamd.conf.in 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,41 @@
+# Generic USB video devices.
+notify 100 {
+ match "system" "USB";
+ match "subsystem" "INTERFACE";
+ match "type" "ATTACH";
+ match "intclass" "0x0e";
+ action "%%PREFIX%%/etc/rc.d/webcamd start $cdev";
+};
+
+# Vendor specific USB webcams and DVB devices.
+notify 100 {
+ match "system" "USB";
+ match "subsystem" "INTERFACE";
+ match "type" "ATTACH";
+ match "intclass" "0xff";
+ action "%%PREFIX%%/etc/rc.d/webcamd start $cdev";
+};
+
+# Unspecified USB webcams and DVB devices.
+notify 100 {
+ match "system" "USB";
+ match "subsystem" "INTERFACE";
+ match "type" "ATTACH";
+ match "intclass" "0x00";
+ action "%%PREFIX%%/etc/rc.d/webcamd start $cdev";
+};
+
+# Generic USB input devices.
+notify 100 {
+ match "system" "USB";
+ match "subsystem" "INTERFACE";
+ match "type" "ATTACH";
+ match "intclass" "0x03";
+#
+# Limit HID device attach to Wacom Devices
+# else webcamd might attach to your keyboard
+# and mouse
+#
+ match "vendor" "0x056a";
+ action "%%PREFIX%%/etc/rc.d/webcamd start $cdev $interface";
+};
Property changes on: trunk/multimedia/webcamd/files/webcamd.conf.in
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/webcamd/files/webcamd.in
===================================================================
--- trunk/multimedia/webcamd/files/webcamd.in (rev 0)
+++ trunk/multimedia/webcamd/files/webcamd.in 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,248 @@
+#!/bin/sh
+# $FreeBSD: head/multimedia/webcamd/files/webcamd.in 372594 2014-11-15 11:28:29Z nox $
+#
+# PROVIDE: webcamd
+# REQUIRE: FILESYSTEMS netif dbus
+# BEFORE: devd
+# KEYWORD: shutdown
+#
+# ================================================================
+# Webcamd is enabled by adding the following line to /etc/rc.conf:
+# ================================================================
+#
+# webcamd_enable="YES"
+#
+# ================================================================
+# By default webcamd instances are invoked by the devd(8) system
+# daemon and you do not normally need to do any extra configuration
+# just restart the devd service. If the devd service is not enabled,
+# you need to add instances of "webcamd_N_flags=" which contain at
+# least one of the "-d", "-D", "-N", or "-S" options.
+# ================================================================
+#
+# webcamd_0_flags="<instance 0 flags>"
+# webcamd_1_flags="<instance 1 flags>"
+# etc ...
+#
+# ================================================================
+# Specify which USB device to start with the "-N" and "-S" options.
+# For example, if "webcamd -l" shows this device in device list:
+# webcamd [-d ugen7.2] -N SCEH-0036-SONY -S ALR001DN4J -M 0
+#
+# Then it can be set in your rc.conf file:
+# webcamd_0_flags="-N SCEH-0036-SONY -S ALR001DN4J"
+#
+# ================================================================
+# You can add extra instances with webcamd_N_flags, where "N" is a
+# sequentially increasing number starting from "0".
+# ================================================================
+#
+# ================================================================
+# General flags can be set on all webcamd instances with the variable
+# "webcamd_flags" which applies globally to all instances:
+# ================================================================
+# webcamd_flags="-m v4l2-dev.hflip=1"
+#
+# ================================================================
+# If you need to start a vtuner client instance using the "-D" option,
+# put the following line into your rc.conf. The "-i" option must be
+# unique for every vtuner client instance, else there will be a PID
+# file name conflict.
+# ================================================================
+# webcamd_2_flags="-D 127.0.0.1:5100:-1 -i 0"
+# ================================================================
+#
+# ================================================================
+# If you have multiple identical devices of the same model number,
+# then you should specify the unique serial number for each instance
+# the recommended way with "-N" and "-S" options.
+#
+# However some USB devices may not have a unique serial number. So if
+# "-S" output is blank or always the same then serial number is no
+# good. You should instead use "-N" and the "-M" index option.
+#
+# ================================================================
+# If you are using a remote control you might need to force the
+# protocol by setting the "rc-main.default_protocol" parameter to
+# "lirc" for example. Run webcamd -s to get a description of available
+# protocols.
+# ================================================================
+#
+# webcamd_flags="-m rc-main.default_protocol=lirc"
+# webcamd_N_flags="-m rc-main.default_protocol=lirc"
+#
+# ================================================================
+# Additional Webcamd flags:
+# ================================================================
+#
+# webcamd_startup_delay=<seconds>
+# webcamd_user=<the user to run webcamd as>
+# webcamd_group=<the group to run webcamd as>
+# webcamd_devd_starts_unspecified=<YES/NO>
+#
+
+. /etc/rc.subr
+
+name=webcamd
+rcvar=webcamd_enable
+load_rc_config $name
+
+: ${webcamd_enable:=NO}
+: ${webcamd_user:=webcamd}
+: ${webcamd_group:=webcamd}
+: ${webcamd_startup_delay=1}
+: ${webcamd_devd_starts_unspecified=YES}
+
+: ${hald_enable:=NO}
+
+# If invoked automatically by devd, we receive additional arguments
+devd_device=${2}
+devd_interface=${3-0}
+
+command=webcamd
+command_args="-B -U ${webcamd_user} -G ${webcamd_group}"
+
+start_cmd="${name}_start"
+stop_cmd="${name}_stop"
+status_cmd="${name}_status"
+
+webcamd()
+{
+ # When running early we need to pre-load some libraries
+ env LD_PRELOAD=%%LIBHAL%%%%LIBCUSE%% %%PREFIX%%/sbin/webcamd $*
+}
+
+webcamd_pids()
+{
+ pids=$(pgrep -d ' ' $name)
+ pids=${pids% }
+ printf "${pids}"
+}
+
+webcamd_grep_instance_flags()
+{
+ echo "$instance_flags" | grep -oE -- "(^| | )($1)"
+ exit 0
+}
+
+webcamd_start_devd()
+{
+ # Start a single USB device, as this rc.d script was invoked by devd
+ # with extra arguments
+
+ n=0
+ while true
+ do
+ instance_flags=$(eval "echo \$webcamd_${n}_flags")
+ n=$(expr $n + 1)
+ if [ ! "$instance_flags" ]; then
+ instance_flags="-d ${devd_device}"
+ break
+ fi
+
+ # ignore instance entries which are for "-D" vtuner client
+ if [ "$(webcamd_grep_instance_flags '-D')" ]; then
+ continue
+ fi
+
+ # skip flags if no "-d" option is present
+ if [ ! "$(webcamd_grep_instance_flags '-d')" ]; then
+ continue
+ fi
+
+ # skip if the "-d" option does not match
+ if [ ! "$(webcamd_grep_instance_flags '-d[ ]*[[:alpha:]]*'${devd_device#ugen})" ]; then
+ continue
+ fi
+
+ # we got a match
+ break
+ done
+
+ if checkyesno webcamd_devd_starts_unspecified; then
+ # Try to start the connected USB device
+ ${command} -i ${devd_interface} ${instance_flags} ${webcamd_flags} ${command_args}
+ fi
+}
+
+webcamd_start()
+{
+ # Check if we should attach to the "hald" service
+ if checkyesno hald_enable ; then
+ command_args="$command_args -H"
+ fi
+
+ # If this rc.d script was invoked by devd
+ if [ "$devd_device" ]; then
+ # Then start the device ugenX.X, as provied in the argv $2, $3
+ webcamd_start_devd
+ else
+ # Start specified instances
+ webcamd_start_instances
+ fi
+}
+
+webcamd_start_instances()
+{
+ # Start instances that were specified by $webcamd_N_flags
+ echo "Starting ${name}."
+
+ n=0
+ instance_flags=$(eval "echo \$webcamd_${n}_flags")
+ while true
+ do
+ n=$(expr $n + 1)
+ if [ ! "$instance_flags" ]; then
+ break
+ fi
+
+ # check if valid flags are present
+ if [ ! "$(webcamd_grep_instance_flags '-d|-D|-N|-S')" ]; then
+ continue
+ fi
+
+ # launch an instance of webcamd for this configuration entry
+ ${command} ${instance_flags} ${webcamd_flags} ${command_args}
+
+ # next instance flags
+ instance_flags=$(eval "echo \$webcamd_${n}_flags")
+
+ if [ "$instance_flags" ]; then
+ # wait a bit before invoking next instance
+ sleep "$webcamd_startup_delay"
+ fi
+ done
+}
+
+webcamd_stop()
+{
+ pids=$(webcamd_pids)
+ if [ "${pids}" ]; then
+ echo "Stopping ${name}."
+ echo "Waiting for PIDs: ${pids}"
+ for signal in TERM INT QUIT KILL HUP
+ do
+ kill -s ${signal} ${pids}
+ sleep 1
+ pids=$(webcamd_pids)
+ [ "${pids}" ] || break
+ done
+ else
+ echo "${name} is not running."
+ return 1
+ fi
+}
+
+webcamd_status()
+{
+ pids=$(webcamd_pids)
+
+ if [ "${pids}" ]; then
+ echo "${name} is running as pid ${pids}."
+ else
+ echo "${name} is not running."
+ return 1
+ fi
+}
+
+run_rc_command "$1"
Property changes on: trunk/multimedia/webcamd/files/webcamd.in
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/webcamd/pkg-descr
===================================================================
--- trunk/multimedia/webcamd/pkg-descr (rev 0)
+++ trunk/multimedia/webcamd/pkg-descr 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,8 @@
+Webcamd is a daemon that enables use of hundreds of different USB
+based webcam and DVB USB devices under the FreeBSD-8/9 operating
+system. The webcam daemon is basically an application which is a port
+of Linux USB device drivers into userspace on FreeBSD. The daemon
+currently depends on libc, pthreads, libusb and the CUSE4BSD kernel
+module.
+
+WWW: http://www.selasky.org/hans_petter/video4bsd/
Property changes on: trunk/multimedia/webcamd/pkg-descr
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/webcamd/pkg-message
===================================================================
--- trunk/multimedia/webcamd/pkg-message (rev 0)
+++ trunk/multimedia/webcamd/pkg-message 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,31 @@
+*********************************************************************
+1) webcamd requires the cuse4bsd or cuse kernel module, depending on
+how webcamd was compiled. Please load this dependency by doing:
+
+ # kldload cuse4bsd
+or
+ # kldload cuse
+
+or by adding
+
+ cuse4bsd_load="YES"
+or
+ cuse_load="YES"
+
+to your /boot/loader.conf.
+
+2) add webcamd_enable="YES"
+
+to your /etc/rc.conf
+
+3) Please restart devd to start webcamd
+
+ # service devd restart
+
+4) Optionally add a user to the "webcamd" group
+
+ # pw groupmod webcamd -m <username>
+
+5) If webcamd still did not start, consult the installed webcamd rc.d
+script for more help and instructions on how to start webcamd.
+*********************************************************************
Property changes on: trunk/multimedia/webcamd/pkg-message
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/multimedia/webcamd/pkg-plist
===================================================================
--- trunk/multimedia/webcamd/pkg-plist (rev 0)
+++ trunk/multimedia/webcamd/pkg-plist 2015-08-30 16:23:04 UTC (rev 20136)
@@ -0,0 +1,66 @@
+etc/devd/webcamd.conf
+sbin/webcamd
+man/man4/a800.4.gz
+man/man4/af9005.4.gz
+man/man4/af9015.4.gz
+man/man4/anysee.4.gz
+man/man4/au0828.4.gz
+man/man4/au6610.4.gz
+man/man4/b2c2.4.gz
+man/man4/benq.4.gz
+man/man4/ce6230.4.gz
+man/man4/cinergy.4.gz
+man/man4/conex.4.gz
+man/man4/cpiax.4.gz
+man/man4/cxusb.4.gz
+man/man4/dib0700.4.gz
+man/man4/digitv.4.gz
+man/man4/dtt200u.4.gz
+man/man4/dtv5100.4.gz
+man/man4/dw2102.4.gz
+man/man4/ec168.4.gz
+man/man4/em28xx.4.gz
+man/man4/et61x251.4.gz
+man/man4/finepix.4.gz
+man/man4/friio.4.gz
+man/man4/gl860.4.gz
+man/man4/gl861.4.gz
+man/man4/gp8psk.4.gz
+man/man4/hdpvr.4.gz
+man/man4/ibmcam.4.gz
+man/man4/jeilinj.4.gz
+man/man4/m5602.4.gz
+man/man4/m920x.4.gz
+man/man4/mars.4.gz
+man/man4/mr800.4.gz
+man/man4/mr97310a.4.gz
+man/man4/nova-t.4.gz
+man/man4/opera.4.gz
+man/man4/ov519.4.gz
+man/man4/ov534.4.gz
+man/man4/pacxxx.4.gz
+man/man4/pvrusb2.4.gz
+man/man4/pwcusb.4.gz
+man/man4/s2255.4.gz
+man/man4/se401.4.gz
+man/man4/siano.4.gz
+man/man4/sn9c102.4.gz
+man/man4/sn9c20x.4.gz
+man/man4/sonixj.4.gz
+man/man4/spca5xx.4.gz
+man/man4/sq905c.4.gz
+man/man4/stk014.4.gz
+man/man4/stv06xx.4.gz
+man/man4/sunplus.4.gz
+man/man4/t613.4.gz
+man/man4/ttusb2.4.gz
+man/man4/tv8532.4.gz
+man/man4/umt.4.gz
+man/man4/usbvision.4.gz
+man/man4/uvc.4.gz
+man/man4/vc032x.4.gz
+man/man4/vp702x.4.gz
+man/man4/vp7045.4.gz
+man/man4/zc3xx.4.gz
+man/man4/zr364xx.4.gz
+man/man8/webcamd.8.gz
Property changes on: trunk/multimedia/webcamd/pkg-plist
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
More information about the Midnightbsd-cvs
mailing list